### Function

# EDataServer OAuth2Service util_set_to_form

since: 3.28

#### Declaration [src]

    void
    e_oauth2_service_util_set_to_form (
      GHashTable* form,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Sets `value` for `name` to `form`. The `form` should be the one used in e_oauth2_service_prepare_authentication_uri_query(), `e_oauth2_service_prepare_get_token_form()` or e_oauth2_service_prepare_refresh_token_form().

If the `value` is `NULL`, then the property named `name` is removed from the `form` instead.

Available since: 3.28

#### Parameters

`form`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  A property name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A property value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.